% Copy all files in Matlab current directory and type "speechann" on
% Matlab command window.
% 
% In order to obtain the complete source code please visit
% http://www.advancedsourcecode.com/dtwspeech.asp
%
%
% First, select an input sound clicking on "Select sound".
% Then you can
%   - add this sound to database (click on "Add selected sound to database"
%   - perform speech recognition (click on "Speech Recognition" button)
%     Note: If you want to perform speech recognition database has to include 
%     at least one sound.
%
% If you choose to add sound to database, a positive integer (speech ID) is
% required. This posivive integer is a progressive number which identifies
% a sound, i.e. an isolated words (each sound corresponds to a class).
% For example:
%  - run the GUI (type "speechann" on Matlab command window)
%  - delete database (click on "Delete Database")
%  - add "sun1.wav" to database ---> the ID has to be 1 since "sun" is the first
%    sound you are adding to database
%  - add "sun2.wav" to database ---> the ID has to be 1 since you have already
%    added the word "sun" to database
%  - add "cat1.wav" to database ---> the ID has to be 2 since "cat" is the
%    second sound you are adding to database
%  - add "dog1.wav" to database ---> the ID has to be 3 since "dog" is
%    the third isolated word you are adding to database
%  - add "cat2.wav" to database ---> the ID has to be 2 once again since
%    you have already added the word "cat" to database
%   
% ... and so on! Very simple, isnt't? :)
% 
% The recognition gives as results the ID of nearest sound (i.e. the isolated word) 
% present in database. For example if you select sound "cat3.wav" the ID gives 2 as
% result.
%
% FUNCTIONS
%
% Select sound:                                  read the input sound
%
% Add selected sound to database:                the input sound is added to database and will be used for training
%
% Database Info:                                 show informations about the sounds present in database.
%
% Speech Recognition:                            speech matching. The selected input sound is processed
%
% Delete Database:                               remove database from the current directory
%
% Info:                                          show informations about this software
%
%
% Source code for Speech Recognition System:     how to obtain the complete source code
%
% Exit:                                          quit program
%
%
%
%
%   This program is free software; you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation; either version 2 of the License, or
%   (at your option) any later version.
%
%   This program is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
%
%   You can obtain a copy of the GNU General Public License from
%   ftp://prep.ai.mit.edu/pub/gnu/COPYING-2.0 or by writing to
%   Free Software Foundation, Inc.,675 Mass Ave, Cambridge, MA 02139, USA.
%